Subject: Re: [Bitcoin-development] Proposal: Move Bitcoin Dev List to a Neutral Competent Entity

From: Adam Back <[email-masked]>
Date: Sun, 14 Jun 2015 23:59:24 +0200

It might be as well to keep the archive but disable new posts as
otherwise we create bit-rot for people who linked to posts on
sourceforge.

The list is also archived on mail-archive though.
https://www.mail-archive.com/[email-masked]/

Adam

On 14 June 2015 at 22:55, Andy Schroder <[email-masked]> wrote:
> Hello,
>
> I'd support moving to a Linux Foundation e-mail list. I am also against
> google groups. I agree that the gesture of moving indicates that SourceForge
> is not playing nice on other issues and that moving this list shows their
> behavior is being acknowledged.
>
> I understand your reason for wanting to delete the Source Forge account
> (after reading the links). However, the only problem with that is that the
> SourceForge archive is the oldest one I've found with some early messages
> from Satoshi. Myself finding Bitcoin after its inception, as well as this
> mailing list even later on, it's nice to be able to review the archives.
> SourceForge's interface to those archives is pretty bad though. I'm not sure
> if there is any way to get older messages archived on sites like gmane or
> mail-archive? Does anyone know? You mentioned importing the list archive as
> part of the migration plan, but I guess is this easy to do from SourceForge?
>
>
> Andy Schroder
>
> On 06/14/2015 06:12 AM, Warren Togami Jr. wrote:
>
> Discomfort with Sourceforge
>
> For a while now people have been expressing concern about Sourceforge's
> continued hosting of the bitcoin-dev mailing list.Â  Downloads were moved
> completely to bitcoin.org after the Sept 2014 hacking incident of the SF
> project account.Â  The company's behavior and perceived stability have been
> growing to be increasingly questionable.
>
>
> http://www.theregister.co.uk/2013/11/08/gimp_dumps_sourceforge_over_dodgy_ads_and_installer
>
> November 2013: GIMP flees SourceForge over dodgy ads and installer
>
> https://lwn.net/Articles/646118/
>
> May 28th, 2015: SourceForge replacing GIMP Windows downloads
>
> http://seclists.org/nmap-dev/2015/q2/194
>
> June 3rd, 2015: Sourceforge hijacked nmap's old site and downloads.
>
>
> When this topic came up over the past two years, it seemed that most people
> agreed it would be a good idea to move.Â  Someone always suggests Google
> Groups as the replacement host.Â  Google is quickly shot down as too
> controversial in this community, and it becomes an even more difficult
> question as to who else should host it.Â  Realizing this is not so simple,
> discussion then dies off until the next time somebody brings it up.
>
>
> http://sourceforge.net/p/bitcoin/mailman/bitcoin-development/thread/1943127.DBnVxmfOIh%401337h4x0r/#msg34192607
>
> Somebody brought it up again this past week.
>
>
> It seems logical that an open discussion list is not a big deal to continue
> to be hosted on Sourceforge, as there isnâ€™t much they could do to screw it
> up.Â  I personally think moving it away now would be seen as a gesture that
> we do not consider their behavior to be acceptable.Â  There are also some
> benefits in being hosted elsewhere, at an entity able to professionally
> maintain their infrastructure while also being neutral to the content.
>
>
> Proposal: Move Bitcoin Dev List to a Neutral Competent Entity
>
>
> Bitcoin is a global infrastructure development project where it would be
> politically awkward for any of the existing Bitcoin companies or orgs to
> host due to questions it would raise about perceived political control.Â
> For example, consider a bizarro parallel universe where MtGox was the
> inventor of Bitcoin, where they hosted its development infrastructure and
> dev list under their own name.Â  Even if what they published was 100%
> technically and ideologically equivalent to the Bitcoin we know in our
> dimension, most people wouldn't have trusted it merely due to appearances
> and it would have easily gone nowhere.
>
>
> I had a similar thought process last week when sidechains code was
> approaching release. Sidechains, like Bitcoin itself, are intended to be a
> generic piece of infrastructure (like ethernet?) that anyone can build upon
> and use.Â  We thought about Google Groups or existing orgs that already host
> various open source infrastructure discussion lists like the IETF or the
> Linux Foundation.Â  Google is too controversial in this community, and the
> IETF is seen as possibly too politically fractured.Â  The Linux Foundation
> hosts a bunch of infrastructure lists and it seems that nobody in the Open
> Source industry considers them to be particularly objectionable.Â  I talked
> with LF about the idea of hosting generic Bitcoin-related infrastructure
> development lists.Â  They agreed as OSS infrastructure dev is already within
> their charter, so early this week sidechains-dev list began hosting there.
>
>
> From the perspective of our community, for bitcoin-dev it seems like a great
> fit.Â  Why?Â  While they are interested in supporting general open source
> development, the LF has literally zero stake in this.Â  In addition to
> neutrality, they seem to be suitable as a competent host.Â  They have
> full-time sysadmins maintaining their infrastructure including the Mailman
> server. They are soon upgrading to Mailman 3, which means mailing lists
> would benefit from the improved archive browser.Â  I am not personally
> familiar with HyperKitty, but the point here is they are a stable non-profit
> entity who will competently maintain and improve things like their Mailman
> deployment (a huge improvement over the stagnant Sourceforge).Â  It seems
> that LF would be competent, neutral place to host dev lists for the
> long-term.
>
>
> To be clear, this proposal is only about hosting the discussion list.Â  The
> LF would have no control over the Bitcoin Project, as no single entity
> should.
>
>
> Proposed Action Plan
>
>
> Discuss this openly within this community.Â  Above is one example of a great
> neutral and competent host.Â  If the technical leaders here can agree to
> move to a particular neutral host then we do it.
>
> Migration: The current list admins become the new list admins.Â  We import
> the entire list archive into the new host's archives for user convenience.
>
> http://sourceforge.net/p/bitcoin/mailman/ Â Kill bitcoin-list and
> bitcoin-test.Â  Very few people actually use it.Â  Actually, let's delete
> the entire Bitcoin Sourceforge project as its continued existence serves no
> purpose and it only confuses people who find it.Â  By deletion, nobody has
> to monitor it for a repeat of the Sept 2014 hacking incident or GIMP-type
> hijacking?
>
> The toughest question would be the appropriateness of auto-importing the
> subscriber list to another list server, as mass imports have a tendency to
> upset people.
>
>
> Thoughts?
>
>
> Warren Togami
>
>
> ------------------------------------------------------------------------------
>
>
>
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>
>
> ------------------------------------------------------------------------------
>
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>